#ifndef DUCHAMP_SMART_MASK_H_
#define DUCHAMP_SMART_MASK_H_

#include <iostream>
#include <duchamp/duchamp.hh>
#include <duchamp/DataArrays/DataArrayBase.hh>
#include <vector>

namespace duchamp
{

    enum PIXELSTATUS {AVAILABLE, DETECTED, BLANK, MW, NEW};

    class SmartMask : public DataArrayBase<PIXELSTATUS>
    {
    public:
	SmartMask();
	SmartMask(const SmartMask& other);
	SmartMask& operator= (const SmartMask& other);
	virtual ~SmartMask();

	bool isMasked(size_t pix);
	bool isMasked(size_t *pix);
	bool isMasked(std::vector<size_t> pix);

    protected:

    };

}

#endif //DUCHAMP_SMART_MASK_H_
